const buttonStyle = {display: 'flex', padding: '0.3rem !important', margin: '0.1rem !important'}
const iconStyle = {maxWidth: '0.6rem', maxHeight: '0.6rem', margin: '0px', padding: '0px'}
const columnStyle = {padding: '0rem', verticalAlign: 'center'}
const indexStyle = {
    backgroundColor: 'gray',
    maxWidth: '1rem',
    display: 'flex',
    justifyContent: 'space-around',
    alignItems: 'center'
}
const endColumnHeader = {
    marginRight: '0.5rem',
    padding: '0rem 0.3rem 0rem 0rem',
    display: 'flex',
    justifyContent: 'flex-end'
}
const outColumnHeader = {
    display: 'grid',
    gridTemplateColumns: '0.1fr 5fr 1fr',
    backgroundColor: 'gray',
    padding: '0.5rem 0rem 0.5rem 0rem'
}
const inColumnHeader = {display: 'grid', gridTemplateColumns: '3fr 3fr 1fr', columnGap: '1rem'}
const endColumnBody = {display: 'flex', justifyContent: 'flex-end', margin: '0px', padding: '0.3rem 0.3rem 0.3rem 0rem'}
const outColumnBody = {display: 'grid', gridTemplateColumns: '1fr 60fr 1fr'}
const inColumnBody = {
    display: 'grid',
    gridTemplateColumns: '5fr 3fr 1.3fr',
    marginLeft: '1rem',
    alignItems: 'center',
    marginTop: '0.3rem'
}
const pageStyle = {
    display: "flex",
    alignItems: "center",
    justifyContent: "center"
};
const toolTipStyle = {
    maxWidth: "3.5rem",
    display: "flex",
    backgroundColor: "#007bff"
};
const errorStyle = {
    display: 'flex',
    justifyContent: 'center'
}
export {
    errorStyle,
    toolTipStyle,
    pageStyle,
    buttonStyle,
    iconStyle,
    columnStyle,
    indexStyle,
    endColumnBody,
    outColumnBody,
    inColumnBody,
    endColumnHeader,
    outColumnHeader,
    inColumnHeader
}